package com.chelvc.cloud.vehicle.client;


import java.util.List;

import com.chelvc.cloud.vehicle.client.dto.RegionDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient("vehicle")
public interface CommonClient {

    @GetMapping("/common/getRegionByPid")
    List<RegionDTO> getRegionByPid(@RequestParam("pid") Integer pid);
}
