package com.chelvc.cloud.vehicle.server;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * 车辆服务启动类
 *
 * @author 七仔
 * @date 2023/4/4
 */
@EnableDiscoveryClient
@EnableFeignClients(basePackages = "com.chelvc")
@SpringBootApplication(scanBasePackages = "com.chelvc")
public class VehicleServer {
    public static void main(String[] args) {
        SpringApplication.run(VehicleServer.class);
    }
}
